package server;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class ServerA {
	
	public static void main(String[] args) throws IOException {
		System.out.println("Starting Server...");
		
		//Öffne eine Verbindungsstelle für eingehende Verbindungen
		ServerSocket serverSocket = new ServerSocket(9998);
		
		//Solange isAcceptingNewClients ist tue:
		boolean isAcceptingNewClients = true;
		while(isAcceptingNewClients) {
			//Warte bis sich ein client verbindet.
			System.out.println("Waiting for new client...");
			Socket clientSocket = serverSocket.accept();
			System.out.println("Client connected from: " + clientSocket.getInetAddress().getHostAddress());
		}
		
		//Schliesse die Verbindungsstelle für eingehende Verbindungen
		serverSocket.close();
		System.out.println("Server shut down.");
	}

}
